Bug 1793923 - Baremetal keepalived and haproxy services don't work with IPv6
Summary: Baremetal keepalived and haproxy services don't work with IPv6
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.z
Assignee: Ben Nemec
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1793921
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-22 09:28 UTC by Ben Nemec
Modified: 2020-04-29 12:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1793921
Environment:
Last Closed: 2020-04-29 12:48:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1401 0 None closed Bug 1793923: [release-4.3] [Baremetal] Haproxy add support for IPv6 frontend 2020-05-12 13:05:33 UTC

Description Ben Nemec 2020-01-22 09:28:48 UTC
+++ This bug was initially created as a clone of Bug #1793921 +++

Description of problem: The configuration templates for keepalived and haproxy do not support IPv6-based deployments. There are hard-coded values that do not work correctly with v6 addresses. We need to changes these values to ones that will respect both v4 and v6 addresses.


Note You need to log in before you can comment on or make changes to this bug.